//
//  ViewController.swift
//  Core Motion
//
//  Created by Matthew Newill on 26/07/2018.
//  Copyright © 2018 DevFright. All rights reserved.
//

import UIKit
import CoreMotion

class ViewController: UIViewController {

    @IBOutlet weak var relativeAltitude: UILabel!
    @IBOutlet weak var pressure: UILabel!
    
    let altimeter = CMAltimeter()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
       
        if CMAltimeter.isRelativeAltitudeAvailable() {
            altimeter.startRelativeAltitudeUpdates(to: OperationQueue.main) { (data, error) in
                DispatchQueue.main.async {
                    if let validData = data {
                        self.relativeAltitude.text = String.init(format: "%.1fM", validData.relativeAltitude.floatValue)
                        self.pressure.text = String.init(format: "%.2f hPA", validData.pressure.floatValue * 10)
                    } else {
                        self.relativeAltitude.text = "N/A"
                        self.pressure.text = "N/A"
                    }
                }
            }
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}
